﻿namespace QuickTemplate
open System
open System.ComponentModel.Composition
open MoNo
open MoNo.Geometries
open MoNo.Wpf
open MoNo.Studio


type [<Export (typeof<IContextMenuFactory>)>] Tris3dMenu () =
  inherit ContextMenuFactory<Tris3d> ()
  override __.CreateMenuItems (target, entry, con) =
    [
      MenuItem.New ("facet count",
        con.CreateCommand ( cont {
          do! con.Messenger.Send (Wpf.InformationMessage (sprintf "count = %d" target.Items.Length, "facet count"))
        }))
    ]
