﻿namespace QuickTemplate
open System
open System.ComponentModel.Composition
open System.Windows
open MoNo
open MoNo.Studio
open MoNo.Ctrl


type [<Export (typeof<Studio.IFileImporter>)>] private FileImporterSample() =
  interface Studio.IFileImporter with
    member val Caption = "Foo File"
    member val FileFilters = ["*.foo"]
    member __.TryImport path =
      Progress.Make (fun token -> None)

